Bug 499235 - could not load plugin module plugin.py when running most ipa cli commands
could not load plugin module plugin.py when running most ipa cli commands
Status: CLOSED UPSTREAM
Product: freeIPA
Classification: Community
Component: ipa-admintools (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 431020
  Show dependency treegraph
 
Reported: 2009-05-05 13:49 EDT by Michael Gregg
Modified: 2015-01-04 18:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-28 05:31:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Gregg 2009-05-05 13:49:00 EDT
Description of problem:
This behaviour started with this mornings build.
Syntax error upon running most cli commands

Version-Release number of selected component (if applicable):
2.0-2.20090505.el5ipa

How reproducible:
always

Steps to Reproduce:
1. Install ipa
2. kinit as admin
3. ipa user-find admin
  
Actual results:
/usr/bin/ipa user-find admin
ipa: ERROR: could not load plugin module '/usr/lib/python2.4/site-packages/ipalib/plugins/join.py'
ipa: ERROR: SyntaxError: invalid syntax (certdb.py, line 27)
Traceback (most recent call last):
  File "/usr/lib/python2.4/site-packages/ipalib/cli.py", line 739, in run
    api.load_plugins()
  File "/usr/lib/python2.4/site-packages/ipalib/plugable.py", line 649, in load_plugins
    self.import_plugins('ipalib')
  File "/usr/lib/python2.4/site-packages/ipalib/plugable.py", line 685, in import_plugins
    raise e
  File "/usr/lib/python2.4/site-packages/ipapython/certdb.py", line 27
     class CertDB():
                  ^
 SyntaxError: invalid syntax
ipa: ERROR: an internal error has occured
Comment 1 Rob Crittenden 2009-05-05 13:59:35 EDT
A python 2.4-ism.

For a quick fix you can edit 
/usr/lib/python2.4/site-packages/ipapython/certdb.py

And change it to: class CertDB(object):

You'll need to restart the httpd service too.
Comment 2 Rob Crittenden 2009-05-05 14:06:08 EDT
master: 82223f3ed1893ee4bd6b1276cc9bcf82711bfc7a
Comment 3 Michael Gregg 2009-05-05 14:25:43 EDT
Adding the change to certdb.py looks good.

Thanks for the quick fix.

Note You need to log in before you can comment on or make changes to this bug.